#                                               -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.

AC_PREREQ(2.59)
AC_INIT(pipemeter, 1.1.5, cbyrum@spamaps.org)
AC_CONFIG_SRCDIR([pipemeter.c])
AC_CONFIG_HEADER([config.h])

# Checks for programs.
AC_PROG_CC
AC_PROG_INSTALL
AC_PROG_MAKE_SET

# Checks for libraries.

# I think this is where we want this
AC_SYS_LARGEFILE

# Checks for header files.
AC_HEADER_STDC
AC_CHECK_HEADERS([fcntl.h limits.h stdlib.h string.h sys/time.h unistd.h])
AC_CHECK_HEADERS(getopt.h,AC_DEFINE(HAVE_GETOPT_H,1,[getopt.h is needed for getopt_long support]),AC_MSG_WARN(getopt.h was not found.))

# Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
AC_CHECK_SIZEOF(off_t)
AC_TYPE_SIZE_T
AC_HEADER_TIME

# Checks for library functions.
AC_FUNC_MALLOC
AC_FUNC_REALLOC
AC_FUNC_STRTOD
AC_CHECK_FUNCS([gettimeofday strtol])
AC_CHECK_FUNCS(getopt_long,AC_DEFINE(HAVEGETOPTLONG,1,[getopt_long was found and usable on this system]) ,AC_MSG_WARN(long command line switches are disabled.))

AC_CONFIG_FILES([Makefile])
AC_OUTPUT
